all:
	./genhtml.sh

cleanroot:
	rm -rf {bin,boot,dev,etc,lib,media,mnt,opt,sbin,srv,tmp,usr,var}
	rm -rf {home,root}

root:
	mkdir -p {bin,boot,dev,etc}
	mkdir -p etc/{opt,X11,sgml,xml}
	mkdir -p lib/modules
	mkdir -p media/{floppy,cdrom,cdrecorder,zip}
	mkdir -p mnt
	mkdir -p opt/{bin,doc,include,info,lib,man}
	mkdir -p {sbin,srv,tmp}
	mkdir -p usr/{bin,games,include,lib}
	mkdir -p usr/local/{bin,etc,games,include,man,sbin,share,src}
	mkdir -p usr/sbin
	mkdir -p usr/share/{dict,doc,games,info,locale,man,misc,nls}
	mkdir -p usr/share/sgml/{docbook,tei,html,mahtml}
	mkdir -p usr/share/{terminfo,tmac,troff}
	mkdir -p usr/share/xml/{docbook,mahtml,xhtml}
	mkdir -p usr/share/zoneinfo
	mkdir -p usr/{src,X11R6}
	mkdir -p var
	mkdir -p var/{account,backups}
	mkdir -p var/cache/{fonts,man,www}
	mkdir -p var/{crash,cron,games}
	mkdir -p var/lib/{misc,hwclock,xdm}
	mkdir -p var/{mail,msgs,opt,preserve}
	mkdir -p var/{local,lock,log,run}
	mkdir -p var/spool/{lpd,mqueue,news,rwho,uucp}
	mkdir -p var/{tmp,yp}
	mkdir -p {home,root}
